/*****************************************************************************
 *                        Web3d.org Copyright (c) 2004
 *                               Java Source
 *
 * This source is licensed under the GNU LGPL v2.1
 * Please read http://www.gnu.org/copyleft/lgpl.html for more information
 *
 * This software comes with the standard NO WARRANTY disclaimer for any
 * purpose. Use it at your own risk. If there's a problem you get to fix it.
 *
 ****************************************************************************/

package org.j3d.aviatrix3d;

// External imports
// None

// Local imports
// None

/**
 * Observer of the rendering system that is informed when it is safe to update
 * the scene graph from application code.
 * <p>
 *
 * @author Justin Couch
 * @version $Revision: 1.2 $
 */
public interface ApplicationUpdateObserver
{
    /**
     * Notification that now is a good time to update the scene graph.
     */
    public void updateSceneGraph();
}