/*****************************************************************************
 *                        Web3d.org Copyright (c) 2003
 *                               Java Source
 *
 * This source is licensed under the GNU LGPL v2.1
 * Please read http://www.gnu.org/copyleft/lgpl.html for more information
 *
 * This software comes with the standard NO WARRANTY disclaimer for any
 * purpose. Use it at your own risk. If there's a problem you get to fix it.
 *
 ****************************************************************************/

package org.j3d.aviatrix3d;

// Standard imports
import java.util.HashMap;

import net.java.games.jogl.GL;
import net.java.games.jogl.GLU;

// Local imports
// None

/**
 * Shader handler for shaders written with the OpenGL GLSLang 1.0 shader language.
 * <p>
 *
 * This is a placeholder for now. There is no functional code here as we need
 * to wait for JOGL to officially support OpenGL 1.5 and the ARB shader
 * extensions contained therein.
 *
 * @author Justin Couch
 * @version $Revision: 1.1 $
 */
public class GLSLangShader extends Shader
{
    /**
     * Constructs a shader with default values.
     */
    public GLSLangShader()
    {
    }
}